## EvAttachment EvAttachment |

## Functions

EvAttachment * | ev_attachment_new ()
const gchar * | ev_attachment_get_name ()
const gchar * | ev_attachment_get_description ()
GTime | ev_attachment_get_modification_date ()
GTime | ev_attachment_get_creation_date ()
const gchar * | ev_attachment_get_mime_type ()
gboolean | ev_attachment_save ()
gboolean | ev_attachment_open ()

## Properties

gulong | ctime | Write / Construct Only
gpointer | data | Write / Construct Only
gchar * | description | Write / Construct Only
gulong | mtime | Write / Construct Only
gchar * | name | Write / Construct Only
guint | size | Write / Construct Only

## Types and Values

struct | EvAttachment
struct | EvAttachmentClass

## Object Hierarchy

        GObject
        ╰── EvAttachment

## Description

## Functions

### ev_attachment_new ()

    EvAttachment *
    ev_attachment_new (const gchar *name,
                       const gchar *description,
                       GTime mtime,
                       GTime ctime,
                       gsize size,
                       gpointer data);

#### Returns

### ev_attachment_get_name ()

    const gchar *
    ev_attachment_get_name (EvAttachment *attachment);

#### Returns

### ev_attachment_get_description ()

    const gchar *
    ev_attachment_get_description (EvAttachment *attachment);

#### Returns

### ev_attachment_get_modification_date ()

    GTime
    ev_attachment_get_modification_date (EvAttachment *attachment);

#### Returns

### ev_attachment_get_creation_date ()

    GTime
    ev_attachment_get_creation_date (EvAttachment *attachment);

#### Returns

### ev_attachment_get_mime_type ()

    const gchar *
    ev_attachment_get_mime_type (EvAttachment *attachment);

#### Returns

### ev_attachment_save ()

    gboolean
    ev_attachment_save (EvAttachment *attachment,
                        GFile *file,
                        GError **error);

#### Returns

### ev_attachment_open ()

    gboolean
    ev_attachment_open (EvAttachment *attachment,
                        GdkScreen *screen,
                        guint32 timestamp,
                        GError **error);

#### Returns

## Types and Values

### struct EvAttachment

    struct EvAttachment;

### struct EvAttachmentClass

    struct EvAttachmentClass {
    	GObjectClass base_class;
    };

## Property Details

### The `“ctime”` property

      “ctime”                    gulong

The attachment creation date.

Flags: Write / Construct Only

### The `“data”` property

      “data”                     gpointer

The attachment data.

Flags: Write / Construct Only

### The `“description”` property

      “description”              gchar *

The attachment description.

Flags: Write / Construct Only

Default value: NULL

### The `“mtime”` property

      “mtime”                    gulong

The attachment modification date.

Flags: Write / Construct Only

### The `“name”` property

      “name”                     gchar *

The attachment name.

Flags: Write / Construct Only

Default value: NULL

### The `“size”` property

      “size”                     guint

The attachment size.

Flags: Write / Construct Only

Default value: 0